Read private cluster access
import requests
url = "https://platform.ankra.app/api/v1/clusters/scaleway/{cluster_id}/access-info"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/scaleway/{cluster_id}/access-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/scaleway/{cluster_id}/access-info \
--header 'Authorization: Bearer <token>'{
"bastion_host": "203.0.113.10",
"bastion_ip": "203.0.113.10",
"bastion_port": 61000,
"bastion_user": "bastion",
"cluster_name": "scw-prod",
"control_plane_ip": "10.0.0.10",
"control_plane_ips": [
"10.0.0.10"
],
"target_user": "root"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Scaleway Clusters
Read private cluster access
Bearer PAT authentication; RBAC permission clusters.read. PAT mutations support wait=false where implemented; browser mutations require CSRF.
GET
/
api
/
v1
/
clusters
/
scaleway
/
{cluster_id}
/
access-info
Read private cluster access
import requests
url = "https://platform.ankra.app/api/v1/clusters/scaleway/{cluster_id}/access-info"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/scaleway/{cluster_id}/access-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/scaleway/{cluster_id}/access-info \
--header 'Authorization: Bearer <token>'{
"bastion_host": "203.0.113.10",
"bastion_ip": "203.0.113.10",
"bastion_port": 61000,
"bastion_user": "bastion",
"cluster_name": "scw-prod",
"control_plane_ip": "10.0.0.10",
"control_plane_ips": [
"10.0.0.10"
],
"target_user": "root"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
PAT organisation override.